local ADDON_NAME, SHARED_DATA = ...;

local Addon = _G[ADDON_NAME];

function Addon:PAPERDOLL_OPENED()
	Addon.PaperDollOpen = true;
	Addon:UpdatePaperDollItemLevels();
	
	if(GetInventoryItemID("player", 1)) then
		CharacterHeadSlotToggle:Show();
	else
		CharacterHeadSlotToggle:Hide();
	end
	
	if(GetInventoryItemID("player", 15)) then
		CharacterBackSlotToggle:Show();
	else
		CharacterBackSlotToggle:Hide();
	end
end

function Addon:PAPERDOLL_CLOSED()
	Addon.PaperDollOpen = false;
end

function Addon:PLAYER_EQUIPMENT_CHANGED(event, slot, hasItem)
	Addon:UpdatePaperDollItemLevels()
	
	if(not Addon.PaperDollOpen) then return end
	
	if(slot == 1) then
		if(hasItem) then
			CharacterHeadSlotToggle:Show();
		else
			CharacterHeadSlotToggle:Hide();
		end
	end
	
	if(slot == 15) then
		if(hasItem) then
			CharacterBackSlotToggle:Show();
		else
			CharacterBackSlotToggle:Hide();
		end
	end
end

function Addon:TRANSMOGRIFY_OPEN()
	TransmogrifyModelFrame:UndressSlot(19);
	
	TransmogrifyFrame:SetSize(550, 500)
	TransmogrifyArtFrame:SetSize(550, 500)
	TransmogrifyModelFrame:SetSize(550, 465)
end